List schedules | Moov Documentation
List schedules
Describes a list of schedules associated with an account. Append the hydrate=accounts query parameter to include partial account details in the response.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/schedules
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.ListSchedule(ctx, accountID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.scheduling.list({
skip: 60,
count: 20,
accountID: "b69f6366-984e-40f9-82a0-65335a43431d",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->scheduling->list(
accountID: 'b69f6366-984e-40f9-82a0-65335a43431d',
skip: 60,
count: 20
);
if ($response->scheduleListResponses !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListSchedulesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListSchedulesResponse res = sdk.scheduling().list()
.skip(60L)
.count(20L)
.accountID("b69f6366-984e-40f9-82a0-65335a43431d")
.call();
if (res.scheduleListResponses().isPresent()) {
System.out.println(res.scheduleListResponses().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.scheduling.list(account_id="b69f6366-984e-40f9-82a0-65335a43431d", skip=60, count=20)
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.scheduling.list(account_id: 'b69f6366-984e-40f9-82a0-65335a43431d', skip: 60, count: 20)
unless res.schedule_list_responses.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Scheduling.ListAsync(
accountID: "b69f6366-984e-40f9-82a0-65335a43431d",
skip: 60,
count: 20
);
// handle response
Example
[\
{\
"sourceAccount": {\
"accountID": "string",\
"displayName": "string",\
"email": "string"\
},\
"destinationAccount": {\
"accountID": "string",\
"displayName": "string",\
"email": "string"\
},\
"partnerAccount": {\
"accountID": "string",\
"displayName": "string",\
"email": "string"\
},\
"description": "string",\
"destinationAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"mode": "production",\
"occurrences": [\
{\
"scheduleID": "string",\
"occurrenceID": "string",\
"mode": "production",\
"generated": true,\
"indefinite": true,\
"canceledOn": "2019-08-24T14:15:22Z",\
"runOn": "2019-08-24T14:15:22Z",\
"runTransfer": {\
"amount": {\
"currency": "USD",\
"value": 1204\
},\
"salesTaxAmount": {\
"currency": "USD",\
"value": 1204\
},\
"destination": {\
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"achDetails": {\
"companyEntryDescription": "Gym dues",\
"originatingCompanyName": "Whole Body Fit"\
},\
"cardDetails": {\
"dynamicDescriptor": "WhlBdy *Yoga 11-12"\
}\
},\
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"source": {\
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"achDetails": {\
"companyEntryDescription": "Gym dues",\
"originatingCompanyName": "Whole Body Fit"\
},\
"cardDetails": {\
"dynamicDescriptor": "WhlBdy *Yoga 11-12"\
}\
},\
"description": "string",\
"lineItems": {\
"items": [\
{\
"name": "string",\
"basePrice": {\
"currency": "USD",\
"valueDecimal": "12.987654321"\
},\
"quantity": 1,\
"options": [\
{\
"name": "string",\
"quantity": 1,\
"priceModifier": {\
"currency": "USD",\
"valueDecimal": "12.987654321"\
},\
"group": "string",\
"images": [\
{\
"imageID": "string",\
"altText": "string",\
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",\
"publicID": "string"\
}\
]\
}\
],\
"productID": "string",\
"images": [\
{\
"imageID": "string",\
"altText": "string",\
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",\
"publicID": "string"\
}\
]\
}\
]\
}\
},\
"ranOn": "2019-08-24T14:15:22Z",\
"ranTransferID": "string",\
"status": "pending",\
"error": {\
"message": "string"\
}\
}\
],\
"ownerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"recur": {\
"recurrenceRule": "string",\
"runTransfer": {\
"amount": {\
"currency": "USD",\
"value": 1204\
},\
"salesTaxAmount": {\
"currency": "USD",\
"value": 1204\
},\
"destination": {\
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"achDetails": {\
"companyEntryDescription": "Gym dues",\
"originatingCompanyName": "Whole Body Fit"\
},\
"cardDetails": {\
"dynamicDescriptor": "WhlBdy *Yoga 11-12"\
}\
},\
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"source": {\
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"achDetails": {\
"companyEntryDescription": "Gym dues",\
"originatingCompanyName": "Whole Body Fit"\
},\
"cardDetails": {\
"dynamicDescriptor": "WhlBdy *Yoga 11-12"\
}\
},\
"description": "string",\
"lineItems": {\
"items": [\
{\
"name": "string",\
"basePrice": {\
"currency": "USD",\
"valueDecimal": "12.987654321"\
},\
"quantity": 1,\
"options": [\
{\
"name": "string",\
"quantity": 1,\
"priceModifier": {\
"currency": "USD",\
"valueDecimal": "12.987654321"\
},\
"group": "string",\
"images": [\
{\
"imageID": "string",\
"altText": "string",\
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",\
"publicID": "string"\
}\
]\
}\
],\
"productID": "string",\
"images": [\
{\
"imageID": "string",\
"altText": "string",\
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",\
"publicID": "string"\
}\
]\
}\
]\
}\
},\
"indefinite": true,\
"start": "2009-11-10T23:00:00Z"\
},\
"scheduleID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"sourceAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",\
"createdOn": "2019-08-24T14:15:22Z",\
"updatedOn": "2019-08-24T14:15:22Z",\
"disabledOn": "2019-08-24T14:15:22Z"\
}\
]